gio-0.12.4: Binding to the GIO.

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net
Safe Haskell | None

System.GIO.Types

Description

This file reflects the Gtk+ object hierarchy in terms of Haskell classes.

Note: the mk... functions were originally meant to simply be an alias for the constructor. However, in order to communicate the destructor of an object to objectNew, the mk... functions are now a tuple containing Haskell constructor and the destructor function pointer. This hack avoids changing all modules that simply pass mk... to objectNew.

# Documentation

newtype OutputStream

Constructors

OutputStream (ForeignPtr OutputStream) |

Instances

Eq OutputStream |
Ord OutputStream |
GObjectClass OutputStream |
OutputStreamClass OutputStream |

class GObjectClass o => OutputStreamClass o

Instances

OutputStreamClass MemoryOutputStream |
OutputStreamClass FileOutputStream |
OutputStreamClass BufferedOutputStream |
OutputStreamClass DataOutputStream |
OutputStreamClass FilterOutputStream |
OutputStreamClass OutputStream |

toOutputStream :: OutputStreamClass o => o -> OutputStream

mkOutputStream :: (ForeignPtr OutputStream -> OutputStream, FinalizerPtr a)

unOutputStream :: OutputStream -> ForeignPtr OutputStream

castToOutputStream :: GObjectClass obj => obj -> OutputStream

gTypeOutputStream :: GType

newtype FilterOutputStream

Constructors

FilterOutputStream (ForeignPtr FilterOutputStream) |

Instances

Eq FilterOutputStream |
Ord FilterOutputStream |
GObjectClass FilterOutputStream |
FilterOutputStreamClass FilterOutputStream |
OutputStreamClass FilterOutputStream |

class OutputStreamClass o => FilterOutputStreamClass o

Instances

FilterOutputStreamClass BufferedOutputStream |
FilterOutputStreamClass DataOutputStream |
FilterOutputStreamClass FilterOutputStream |

toFilterOutputStream :: FilterOutputStreamClass o => o -> FilterOutputStream

mkFilterOutputStream :: (ForeignPtr FilterOutputStream -> FilterOutputStream, FinalizerPtr a)

unFilterOutputStream :: FilterOutputStream -> ForeignPtr FilterOutputStream

castToFilterOutputStream :: GObjectClass obj => obj -> FilterOutputStream

gTypeFilterOutputStream :: GType

newtype DataOutputStream

Constructors

DataOutputStream (ForeignPtr DataOutputStream) |

Instances

Eq DataOutputStream |
Ord DataOutputStream |
GObjectClass DataOutputStream |
DataOutputStreamClass DataOutputStream |
FilterOutputStreamClass DataOutputStream |
OutputStreamClass DataOutputStream |

class FilterOutputStreamClass o => DataOutputStreamClass o

Instances

DataOutputStreamClass DataOutputStream |

toDataOutputStream :: DataOutputStreamClass o => o -> DataOutputStream

mkDataOutputStream :: (ForeignPtr DataOutputStream -> DataOutputStream, FinalizerPtr a)

unDataOutputStream :: DataOutputStream -> ForeignPtr DataOutputStream

castToDataOutputStream :: GObjectClass obj => obj -> DataOutputStream

gTypeDataOutputStream :: GType

newtype BufferedOutputStream

Constructors

BufferedOutputStream (ForeignPtr BufferedOutputStream) |

Instances

Eq BufferedOutputStream |
Ord BufferedOutputStream |
GObjectClass BufferedOutputStream |
BufferedOutputStreamClass BufferedOutputStream |
FilterOutputStreamClass BufferedOutputStream |
OutputStreamClass BufferedOutputStream |

class FilterOutputStreamClass o => BufferedOutputStreamClass o

Instances

BufferedOutputStreamClass BufferedOutputStream |

toBufferedOutputStream :: BufferedOutputStreamClass o => o -> BufferedOutputStream

mkBufferedOutputStream :: (ForeignPtr BufferedOutputStream -> BufferedOutputStream, FinalizerPtr a)

unBufferedOutputStream :: BufferedOutputStream -> ForeignPtr BufferedOutputStream

castToBufferedOutputStream :: GObjectClass obj => obj -> BufferedOutputStream

gTypeBufferedOutputStream :: GType

newtype FileOutputStream

Constructors

FileOutputStream (ForeignPtr FileOutputStream) |

Instances

Eq FileOutputStream |
Ord FileOutputStream |
GObjectClass FileOutputStream |
FileOutputStreamClass FileOutputStream |
OutputStreamClass FileOutputStream |

class OutputStreamClass o => FileOutputStreamClass o

Instances

FileOutputStreamClass FileOutputStream |

toFileOutputStream :: FileOutputStreamClass o => o -> FileOutputStream

mkFileOutputStream :: (ForeignPtr FileOutputStream -> FileOutputStream, FinalizerPtr a)

unFileOutputStream :: FileOutputStream -> ForeignPtr FileOutputStream

castToFileOutputStream :: GObjectClass obj => obj -> FileOutputStream

gTypeFileOutputStream :: GType

newtype MemoryOutputStream

Constructors

MemoryOutputStream (ForeignPtr MemoryOutputStream) |

Instances

Eq MemoryOutputStream |
Ord MemoryOutputStream |
GObjectClass MemoryOutputStream |
MemoryOutputStreamClass MemoryOutputStream |
OutputStreamClass MemoryOutputStream |

class OutputStreamClass o => MemoryOutputStreamClass o

Instances

MemoryOutputStreamClass MemoryOutputStream |

toMemoryOutputStream :: MemoryOutputStreamClass o => o -> MemoryOutputStream

mkMemoryOutputStream :: (ForeignPtr MemoryOutputStream -> MemoryOutputStream, FinalizerPtr a)

unMemoryOutputStream :: MemoryOutputStream -> ForeignPtr MemoryOutputStream

castToMemoryOutputStream :: GObjectClass obj => obj -> MemoryOutputStream

gTypeMemoryOutputStream :: GType

newtype InputStream

Constructors

InputStream (ForeignPtr InputStream) |

Instances

Eq InputStream |
Ord InputStream |
GObjectClass InputStream |
InputStreamClass InputStream |

class GObjectClass o => InputStreamClass o

Instances

InputStreamClass FileInputStream |
InputStreamClass DataInputStream |
InputStreamClass BufferedInputStream |
InputStreamClass FilterInputStream |
InputStreamClass MemoryInputStream |
InputStreamClass InputStream |

toInputStream :: InputStreamClass o => o -> InputStream

mkInputStream :: (ForeignPtr InputStream -> InputStream, FinalizerPtr a)

unInputStream :: InputStream -> ForeignPtr InputStream

castToInputStream :: GObjectClass obj => obj -> InputStream

gTypeInputStream :: GType

newtype MemoryInputStream

Constructors

MemoryInputStream (ForeignPtr MemoryInputStream) |

Instances

Eq MemoryInputStream |
Ord MemoryInputStream |
GObjectClass MemoryInputStream |
MemoryInputStreamClass MemoryInputStream |
InputStreamClass MemoryInputStream |

class InputStreamClass o => MemoryInputStreamClass o

Instances

MemoryInputStreamClass MemoryInputStream |

toMemoryInputStream :: MemoryInputStreamClass o => o -> MemoryInputStream

mkMemoryInputStream :: (ForeignPtr MemoryInputStream -> MemoryInputStream, FinalizerPtr a)

unMemoryInputStream :: MemoryInputStream -> ForeignPtr MemoryInputStream

castToMemoryInputStream :: GObjectClass obj => obj -> MemoryInputStream

gTypeMemoryInputStream :: GType

newtype FilterInputStream

Constructors

FilterInputStream (ForeignPtr FilterInputStream) |

Instances

Eq FilterInputStream |
Ord FilterInputStream |
GObjectClass FilterInputStream |
FilterInputStreamClass FilterInputStream |
InputStreamClass FilterInputStream |

class InputStreamClass o => FilterInputStreamClass o

Instances

FilterInputStreamClass DataInputStream |
FilterInputStreamClass BufferedInputStream |
FilterInputStreamClass FilterInputStream |

toFilterInputStream :: FilterInputStreamClass o => o -> FilterInputStream

mkFilterInputStream :: (ForeignPtr FilterInputStream -> FilterInputStream, FinalizerPtr a)

unFilterInputStream :: FilterInputStream -> ForeignPtr FilterInputStream

castToFilterInputStream :: GObjectClass obj => obj -> FilterInputStream

gTypeFilterInputStream :: GType

newtype BufferedInputStream

Constructors

BufferedInputStream (ForeignPtr BufferedInputStream) |

Instances

Eq BufferedInputStream |
Ord BufferedInputStream |
GObjectClass BufferedInputStream |
BufferedInputStreamClass BufferedInputStream |
FilterInputStreamClass BufferedInputStream |
InputStreamClass BufferedInputStream |

class FilterInputStreamClass o => BufferedInputStreamClass o

Instances

BufferedInputStreamClass DataInputStream |
BufferedInputStreamClass BufferedInputStream |

toBufferedInputStream :: BufferedInputStreamClass o => o -> BufferedInputStream

mkBufferedInputStream :: (ForeignPtr BufferedInputStream -> BufferedInputStream, FinalizerPtr a)

unBufferedInputStream :: BufferedInputStream -> ForeignPtr BufferedInputStream

castToBufferedInputStream :: GObjectClass obj => obj -> BufferedInputStream

gTypeBufferedInputStream :: GType

newtype DataInputStream

Constructors

DataInputStream (ForeignPtr DataInputStream) |

Instances

Eq DataInputStream |
Ord DataInputStream |
GObjectClass DataInputStream |
DataInputStreamClass DataInputStream |
BufferedInputStreamClass DataInputStream |
FilterInputStreamClass DataInputStream |
InputStreamClass DataInputStream |

class BufferedInputStreamClass o => DataInputStreamClass o

Instances

DataInputStreamClass DataInputStream |

toDataInputStream :: DataInputStreamClass o => o -> DataInputStream

mkDataInputStream :: (ForeignPtr DataInputStream -> DataInputStream, FinalizerPtr a)

unDataInputStream :: DataInputStream -> ForeignPtr DataInputStream

castToDataInputStream :: GObjectClass obj => obj -> DataInputStream

gTypeDataInputStream :: GType

newtype FileInputStream

Constructors

FileInputStream (ForeignPtr FileInputStream) |

Instances

Eq FileInputStream |
Ord FileInputStream |
GObjectClass FileInputStream |
FileInputStreamClass FileInputStream |
InputStreamClass FileInputStream |

class InputStreamClass o => FileInputStreamClass o

Instances

FileInputStreamClass FileInputStream |

toFileInputStream :: FileInputStreamClass o => o -> FileInputStream

mkFileInputStream :: (ForeignPtr FileInputStream -> FileInputStream, FinalizerPtr a)

unFileInputStream :: FileInputStream -> ForeignPtr FileInputStream

castToFileInputStream :: GObjectClass obj => obj -> FileInputStream

gTypeFileInputStream :: GType

newtype FileMonitor

Constructors

FileMonitor (ForeignPtr FileMonitor) |

Instances

Eq FileMonitor |
Ord FileMonitor |
GObjectClass FileMonitor |
FileMonitorClass FileMonitor |

class GObjectClass o => FileMonitorClass o

Instances

FileMonitorClass FileMonitor |

toFileMonitor :: FileMonitorClass o => o -> FileMonitor

mkFileMonitor :: (ForeignPtr FileMonitor -> FileMonitor, FinalizerPtr a)

unFileMonitor :: FileMonitor -> ForeignPtr FileMonitor

castToFileMonitor :: GObjectClass obj => obj -> FileMonitor

gTypeFileMonitor :: GType

newtype Vfs

Constructors

Vfs (ForeignPtr Vfs) |

Instances

Eq Vfs |
Ord Vfs |
GObjectClass Vfs |
VfsClass Vfs |

class GObjectClass o => VfsClass o

Instances

VfsClass Vfs |

toVfs :: VfsClass o => o -> Vfs

mkVfs :: (ForeignPtr Vfs -> Vfs, FinalizerPtr a)

unVfs :: Vfs -> ForeignPtr Vfs

castToVfs :: GObjectClass obj => obj -> Vfs

gTypeVfs :: GType

newtype MountOperation

Constructors

MountOperation (ForeignPtr MountOperation) |

Instances

Eq MountOperation |
Ord MountOperation |
GObjectClass MountOperation |
MountOperationClass MountOperation |

class GObjectClass o => MountOperationClass o

Instances

MountOperationClass MountOperation |

toMountOperation :: MountOperationClass o => o -> MountOperation

mkMountOperation :: (ForeignPtr MountOperation -> MountOperation, FinalizerPtr a)

unMountOperation :: MountOperation -> ForeignPtr MountOperation

castToMountOperation :: GObjectClass obj => obj -> MountOperation

gTypeMountOperation :: GType

newtype ThemedIcon

Constructors

ThemedIcon (ForeignPtr ThemedIcon) |

Instances

Eq ThemedIcon |
Ord ThemedIcon |
GObjectClass ThemedIcon |
ThemedIconClass ThemedIcon |

class GObjectClass o => ThemedIconClass o

Instances

ThemedIconClass ThemedIcon |

toThemedIcon :: ThemedIconClass o => o -> ThemedIcon

mkThemedIcon :: (ForeignPtr ThemedIcon -> ThemedIcon, FinalizerPtr a)

unThemedIcon :: ThemedIcon -> ForeignPtr ThemedIcon

castToThemedIcon :: GObjectClass obj => obj -> ThemedIcon

gTypeThemedIcon :: GType

newtype Emblem

Constructors

Emblem (ForeignPtr Emblem) |

Instances

Eq Emblem |
Ord Emblem |
GObjectClass Emblem |
EmblemClass Emblem |

class GObjectClass o => EmblemClass o

Instances

EmblemClass Emblem |

toEmblem :: EmblemClass o => o -> Emblem

mkEmblem :: (ForeignPtr Emblem -> Emblem, FinalizerPtr a)

unEmblem :: Emblem -> ForeignPtr Emblem

castToEmblem :: GObjectClass obj => obj -> Emblem

gTypeEmblem :: GType

newtype EmblemedIcon

Constructors

EmblemedIcon (ForeignPtr EmblemedIcon) |

Instances

Eq EmblemedIcon |
Ord EmblemedIcon |
GObjectClass EmblemedIcon |
EmblemedIconClass EmblemedIcon |

class GObjectClass o => EmblemedIconClass o

Instances

EmblemedIconClass EmblemedIcon |

toEmblemedIcon :: EmblemedIconClass o => o -> EmblemedIcon

mkEmblemedIcon :: (ForeignPtr EmblemedIcon -> EmblemedIcon, FinalizerPtr a)

unEmblemedIcon :: EmblemedIcon -> ForeignPtr EmblemedIcon

castToEmblemedIcon :: GObjectClass obj => obj -> EmblemedIcon

gTypeEmblemedIcon :: GType

newtype FileEnumerator

Constructors

FileEnumerator (ForeignPtr FileEnumerator) |

Instances

Eq FileEnumerator |
Ord FileEnumerator |
GObjectClass FileEnumerator |
FileEnumeratorClass FileEnumerator |

class GObjectClass o => FileEnumeratorClass o

Instances

FileEnumeratorClass FileEnumerator |

toFileEnumerator :: FileEnumeratorClass o => o -> FileEnumerator

mkFileEnumerator :: (ForeignPtr FileEnumerator -> FileEnumerator, FinalizerPtr a)

unFileEnumerator :: FileEnumerator -> ForeignPtr FileEnumerator

castToFileEnumerator :: GObjectClass obj => obj -> FileEnumerator

gTypeFileEnumerator :: GType

newtype FilenameCompleter

Constructors

FilenameCompleter (ForeignPtr FilenameCompleter) |

Instances

Eq FilenameCompleter |
Ord FilenameCompleter |
GObjectClass FilenameCompleter |
FilenameCompleterClass FilenameCompleter |

class GObjectClass o => FilenameCompleterClass o

Instances

FilenameCompleterClass FilenameCompleter |

toFilenameCompleter :: FilenameCompleterClass o => o -> FilenameCompleter

mkFilenameCompleter :: (ForeignPtr FilenameCompleter -> FilenameCompleter, FinalizerPtr a)

unFilenameCompleter :: FilenameCompleter -> ForeignPtr FilenameCompleter

castToFilenameCompleter :: GObjectClass obj => obj -> FilenameCompleter

gTypeFilenameCompleter :: GType

newtype FileIcon

Constructors

FileIcon (ForeignPtr FileIcon) |

Instances

Eq FileIcon |
Ord FileIcon |
GObjectClass FileIcon |
FileIconClass FileIcon |

class GObjectClass o => FileIconClass o

Instances

FileIconClass FileIcon |

toFileIcon :: FileIconClass o => o -> FileIcon

mkFileIcon :: (ForeignPtr FileIcon -> FileIcon, FinalizerPtr a)

unFileIcon :: FileIcon -> ForeignPtr FileIcon

castToFileIcon :: GObjectClass obj => obj -> FileIcon

gTypeFileIcon :: GType

newtype VolumeMonitor

Constructors

VolumeMonitor (ForeignPtr VolumeMonitor) |

Instances

Eq VolumeMonitor |
Ord VolumeMonitor |
GObjectClass VolumeMonitor |
VolumeMonitorClass VolumeMonitor |

class GObjectClass o => VolumeMonitorClass o

Instances

VolumeMonitorClass VolumeMonitor |

toVolumeMonitor :: VolumeMonitorClass o => o -> VolumeMonitor

mkVolumeMonitor :: (ForeignPtr VolumeMonitor -> VolumeMonitor, FinalizerPtr a)

unVolumeMonitor :: VolumeMonitor -> ForeignPtr VolumeMonitor

castToVolumeMonitor :: GObjectClass obj => obj -> VolumeMonitor

gTypeVolumeMonitor :: GType

newtype Cancellable

Constructors

Cancellable (ForeignPtr Cancellable) |

Instances

Eq Cancellable |
Ord Cancellable |
GObjectClass Cancellable |
CancellableClass Cancellable |

class GObjectClass o => CancellableClass o

Instances

CancellableClass Cancellable |

toCancellable :: CancellableClass o => o -> Cancellable

mkCancellable :: (ForeignPtr Cancellable -> Cancellable, FinalizerPtr a)

unCancellable :: Cancellable -> ForeignPtr Cancellable

castToCancellable :: GObjectClass obj => obj -> Cancellable

gTypeCancellable :: GType

newtype SimpleAsyncResult

Constructors

SimpleAsyncResult (ForeignPtr SimpleAsyncResult) |

Instances

Eq SimpleAsyncResult |
Ord SimpleAsyncResult |
GObjectClass SimpleAsyncResult |
SimpleAsyncResultClass SimpleAsyncResult |

class GObjectClass o => SimpleAsyncResultClass o

Instances

SimpleAsyncResultClass SimpleAsyncResult |

toSimpleAsyncResult :: SimpleAsyncResultClass o => o -> SimpleAsyncResult

mkSimpleAsyncResult :: (ForeignPtr SimpleAsyncResult -> SimpleAsyncResult, FinalizerPtr a)

unSimpleAsyncResult :: SimpleAsyncResult -> ForeignPtr SimpleAsyncResult

castToSimpleAsyncResult :: GObjectClass obj => obj -> SimpleAsyncResult

gTypeSimpleAsyncResult :: GType

newtype FileInfo

Constructors

FileInfo (ForeignPtr FileInfo) |

Instances

Eq FileInfo |
Ord FileInfo |
GObjectClass FileInfo |
FileInfoClass FileInfo |

class GObjectClass o => FileInfoClass o

Instances

FileInfoClass AppLaunchContext |
FileInfoClass FileInfo |

toFileInfo :: FileInfoClass o => o -> FileInfo

mkFileInfo :: (ForeignPtr FileInfo -> FileInfo, FinalizerPtr a)

unFileInfo :: FileInfo -> ForeignPtr FileInfo

castToFileInfo :: GObjectClass obj => obj -> FileInfo

gTypeFileInfo :: GType

newtype AppLaunchContext

Constructors

AppLaunchContext (ForeignPtr AppLaunchContext) |

Instances

Eq AppLaunchContext |
Ord AppLaunchContext |
GObjectClass AppLaunchContext |
AppLaunchContextClass AppLaunchContext |
FileInfoClass AppLaunchContext |

class FileInfoClass o => AppLaunchContextClass o

Instances

AppLaunchContextClass AppLaunchContext |

toAppLaunchContext :: AppLaunchContextClass o => o -> AppLaunchContext

mkAppLaunchContext :: (ForeignPtr AppLaunchContext -> AppLaunchContext, FinalizerPtr a)

unAppLaunchContext :: AppLaunchContext -> ForeignPtr AppLaunchContext

castToAppLaunchContext :: GObjectClass obj => obj -> AppLaunchContext

gTypeAppLaunchContext :: GType

newtype Icon

Constructors

Icon (ForeignPtr Icon) |

Instances

Eq Icon |
Ord Icon |
GObjectClass Icon |
IconClass Icon |

class GObjectClass o => IconClass o

Instances

IconClass Icon |

toIcon :: IconClass o => o -> Icon

mkIcon :: (ForeignPtr Icon -> Icon, FinalizerPtr a)

unIcon :: Icon -> ForeignPtr Icon

castToIcon :: GObjectClass obj => obj -> Icon

gTypeIcon :: GType

newtype Seekable

Constructors

Seekable (ForeignPtr Seekable) |

Instances

Eq Seekable |
Ord Seekable |
GObjectClass Seekable |
SeekableClass Seekable |

class GObjectClass o => SeekableClass o

Instances

SeekableClass Seekable |

toSeekable :: SeekableClass o => o -> Seekable

mkSeekable :: (ForeignPtr Seekable -> Seekable, FinalizerPtr a)

unSeekable :: Seekable -> ForeignPtr Seekable

castToSeekable :: GObjectClass obj => obj -> Seekable

gTypeSeekable :: GType

newtype AppInfo

Constructors

AppInfo (ForeignPtr AppInfo) |

Instances

Eq AppInfo |
Ord AppInfo |
GObjectClass AppInfo |
AppInfoClass AppInfo |

class GObjectClass o => AppInfoClass o

Instances

AppInfoClass AppInfo |

toAppInfo :: AppInfoClass o => o -> AppInfo

mkAppInfo :: (ForeignPtr AppInfo -> AppInfo, FinalizerPtr a)

unAppInfo :: AppInfo -> ForeignPtr AppInfo

castToAppInfo :: GObjectClass obj => obj -> AppInfo

gTypeAppInfo :: GType

newtype Volume

Constructors

Volume (ForeignPtr Volume) |

Instances

Eq Volume |
Ord Volume |
GObjectClass Volume |
VolumeClass Volume |

class GObjectClass o => VolumeClass o

Instances

VolumeClass Volume |

toVolume :: VolumeClass o => o -> Volume

mkVolume :: (ForeignPtr Volume -> Volume, FinalizerPtr a)

unVolume :: Volume -> ForeignPtr Volume

castToVolume :: GObjectClass obj => obj -> Volume

gTypeVolume :: GType

newtype AsyncResult

Constructors

AsyncResult (ForeignPtr AsyncResult) |

Instances

Eq AsyncResult |
Ord AsyncResult |
GObjectClass AsyncResult |
AsyncResultClass AsyncResult |

class GObjectClass o => AsyncResultClass o

Instances

AsyncResultClass AsyncResult |

toAsyncResult :: AsyncResultClass o => o -> AsyncResult

mkAsyncResult :: (ForeignPtr AsyncResult -> AsyncResult, FinalizerPtr a)

unAsyncResult :: AsyncResult -> ForeignPtr AsyncResult

castToAsyncResult :: GObjectClass obj => obj -> AsyncResult

gTypeAsyncResult :: GType

newtype LoadableIcon

Constructors

LoadableIcon (ForeignPtr LoadableIcon) |

Instances

Eq LoadableIcon |
Ord LoadableIcon |
GObjectClass LoadableIcon |
LoadableIconClass LoadableIcon |

class GObjectClass o => LoadableIconClass o

Instances

LoadableIconClass LoadableIcon |

toLoadableIcon :: LoadableIconClass o => o -> LoadableIcon

mkLoadableIcon :: (ForeignPtr LoadableIcon -> LoadableIcon, FinalizerPtr a)

unLoadableIcon :: LoadableIcon -> ForeignPtr LoadableIcon

castToLoadableIcon :: GObjectClass obj => obj -> LoadableIcon

gTypeLoadableIcon :: GType

newtype Drive

Constructors

Drive (ForeignPtr Drive) |

Instances

Eq Drive |
Ord Drive |
GObjectClass Drive |
DriveClass Drive |

class GObjectClass o => DriveClass o

Instances

DriveClass Drive |

toDrive :: DriveClass o => o -> Drive

mkDrive :: (ForeignPtr Drive -> Drive, FinalizerPtr a)

unDrive :: Drive -> ForeignPtr Drive

castToDrive :: GObjectClass obj => obj -> Drive

gTypeDrive :: GType

newtype File

Constructors

File (ForeignPtr File) |

Instances

Eq File |
GObjectClass File |
FileClass File |

class GObjectClass o => FileClass o

Instances

FileClass File |

toFile :: FileClass o => o -> File

mkFile :: (ForeignPtr File -> File, FinalizerPtr a)

unFile :: File -> ForeignPtr File

castToFile :: GObjectClass obj => obj -> File

gTypeFile :: GType

newtype Mount

Constructors

Mount (ForeignPtr Mount) |

Instances

Eq Mount |
Ord Mount |
GObjectClass Mount |
MountClass Mount |

class GObjectClass o => MountClass o

Instances

MountClass Mount |

toMount :: MountClass o => o -> Mount

mkMount :: (ForeignPtr Mount -> Mount, FinalizerPtr a)

unMount :: Mount -> ForeignPtr Mount

castToMount :: GObjectClass obj => obj -> Mount

gTypeMount :: GType